import type { HttpClient } from '@wix/sdk-types';
import type { InvokeOptions, InvokeOptionsWithBody } from './types';
export declare function get(httpClient: HttpClient): (functionName: string, options?: InvokeOptions) => Promise<Response>;
export declare function post(httpClient: HttpClient): (functionName: string, options?: InvokeOptionsWithBody) => Promise<Response>;
export declare function put(httpClient: HttpClient): (functionName: string, options?: InvokeOptionsWithBody) => Promise<Response>;
declare function _delete(httpClient: HttpClient): (functionName: string, options?: InvokeOptions) => Promise<Response>;
export { _delete as delete };
